hadoop-yarn-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jason Lowe (JIRA)" <j...@apache.org>
Subject [jira] [Comment Edited] (YARN-1553) Do not use HttpConfig.isSecure() in YARN
Date Fri, 11 Apr 2014 14:37:18 GMT

    [ https://issues.apache.org/jira/browse/YARN-1553?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13966574#comment-13966574
] 

Jason Lowe edited comment on YARN-1553 at 4/11/14 2:36 PM:
-----------------------------------------------------------

This broke source and binary backwards-compatibility with 2.3, see YARN-1930.  MapReduce and
Hive both reference HostUtil.getTaskLogUrl, and their jars compiled against 2.3 or earlier
do not run on 2.4.


was (Author: jlowe):
This broke source and binary backwards-compatibility with 2.3, see YARN-1930.  MapReduce and
Hive both reference Host.getTaskLogUrl, and their jars compiled against 2.3 or earlier do
not run on 2.4.

> Do not use HttpConfig.isSecure() in YARN
> ----------------------------------------
>
>                 Key: YARN-1553
>                 URL: https://issues.apache.org/jira/browse/YARN-1553
>             Project: Hadoop YARN
>          Issue Type: Bug
>            Reporter: Haohui Mai
>            Assignee: Haohui Mai
>             Fix For: 2.4.0
>
>         Attachments: YARN-1553-branch2-supplement.000.patch, YARN-1553.000.patch, YARN-1553.001.patch,
YARN-1553.002.patch, YARN-1553.003.patch, YARN-1553.004.patch, YARN-1553.005.patch, YARN-1553.006.patch,
YARN-1553.007.patch, YARN-1553.008.patch, YARN-1553.009.patch, YARN-1553.010.patch
>
>
> HDFS-5305 and related jira decide that each individual project will have their own configuration
on http policy. {{HttpConfig.isSecure}} is a global static method which does not fit the design
anymore. The same functionality should be moved into the YARN code base.



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message